# NonfungibleTokenPositionDescriptor

해당 컨트랙트는 JSON 메타데이터 문자열에 대한 데이터 URI를 포함하는 문자열을 생성합니다.

## Code

Github Link: (Will be updated after official launch)<br>

## Address

* Cypress : [0xF1aa5FC9b9C36DF7b8B4638d5Ce1b19B14F98979](https://klaytnscope.com/account/0xF1aa5FC9b9C36DF7b8B4638d5Ce1b19B14F98979?tabId=internalTx)

## Events, Read-Only Functions, and State-Changing Functions

{% tabs %}
{% tab title="Events" %}

## Events

#### UpdateTokenRatioPriority[​](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/INonfungibleTokenPositionDescriptor#updatetokenratiopriority) <a href="#updatetokenratiopriority" id="updatetokenratiopriority"></a>

```solidity
event UpdateTokenRatioPriority(
    address token,
    int256 priority
)
```

표시된 가격 비율에서 토큰에 새로운 우선 순위가 부여될 때 발생합니다.

**Parameters:**[**​**](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/INonfungibleTokenPositionDescriptor#parameters-1)

<table><thead><tr><th width="142.66666666666666">Name</th><th width="117">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>token</code></td><td>address</td><td>우선 순위가 부여되는 토큰</td></tr><tr><td><code>priority</code></td><td>int256</td><td>비율로 우선 순위를 나타냅니다. 더 높은 정수가 분자 우선 순위를 갖습니다.</td></tr></tbody></table>
{% endtab %}

{% tab title="Read-Only Functions" %}

## Read-Only Functions

#### tokenURI[​](https://docs.uniswap.org/contracts/v3/reference/periphery/NonfungibleTokenPositionDescriptor#tokenuri) <a href="#tokenuri" id="tokenuri"></a>

```solidity
function tokenURI(
    contract INonfungiblePositionManager positionManager,
    uint256 tokenId
) external returns (string)
```

위치 관리자의 특정 토큰 ID를 설명하는 URI를 생성합니다. 이 URI는 data: JSON 콘텐츠가 직접 인라인된 URI일 수 있습니다.

**Parameters:**[**​**](https://docs.uniswap.org/contracts/v3/reference/periphery/NonfungibleTokenPositionDescriptor#parameters)

<table><thead><tr><th width="132.66666666666666">Name</th><th width="208">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>positionManager</code></td><td><code>contract INonfungiblePositionManager</code></td><td>토큰을 설명할 <code>positionManager</code></td></tr><tr><td><code>tokenId</code></td><td>uint256</td><td>유효하지 않을 수 있는 설명을 생성할 토큰의 ID</td></tr></tbody></table>

**Return Values:**[**​**](https://docs.uniswap.org/contracts/v3/reference/periphery/NonfungibleTokenPositionDescriptor#return-values)

<table><thead><tr><th width="132.66666666666666">Name</th><th width="107">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>String</code></td><td>string</td><td>ERC721 호환 메타데이터의 URI</td></tr></tbody></table>

#### flipRatio[​](https://docs.uniswap.org/contracts/v3/reference/periphery/NonfungibleTokenPositionDescriptor#flipratio) <a href="#flipratio" id="flipratio"></a>

```solidity
function flipRatio() public returns (bool)
```

#### tokenRatioPriority[​](https://docs.uniswap.org/contracts/v3/reference/periphery/NonfungibleTokenPositionDescriptor#tokenratiopriority) <a href="#tokenratiopriority" id="tokenratiopriority"></a>

```solidity
function tokenRatioPriority() public returns (int256)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-new.klayswap.com/developers/contract/nonfungibletokenpositiondescriptor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
